Overview

ezPayCheck Software

Getting Started

Getting Started

Welcome to use ezPayCheck, a comprehensive and affordable full-featured small business payroll preparation and check printing software. ezPayCheck automatically calculates net pay, federal withholding tax, state withholding tax, Social Security tax, Medicare and local payroll taxes. Since ezPayCheck allows to print business checks on either blank computer check or preprinted check paper, it saves your money on checks.

Overview:

  • Build in all 50 states and D.C tax tables;
  • Create and maintain payrolls for multiple companies;
  • Print your own checks on blank computer check or preprinted check paper;
  • Print any purpose checks;
  • Print image siganiture on checks;
  • Calculate and print out w2, w3 forms and Quarterly 941 report;
  • Automatically calculates Federal Withholding Tax, Social Security, Medicare Tax and Employer Unemployment Taxes;
  • Automatically calculates 50 states and D.C. tax;
  • Easy to follow wizard guides through the company creation process and Employee setup;
  • Support Daily, Weekly, BiWeekly, SemiMonthly and Monthly payroll periods;
  • Easy to use reports.

Copyright ©2006, Halfpricesoft.com All Rights Reserved


Installation

Installation

To install this product double click the .MSI file and follow the installation steps.

30 Day Trial License

The ezPayroll software comes with a 30 day trial license upon installation. A full license must be purchased from halfpricesoft.com after the 30 days.

License Installation

Method 1:

Input the license key when prompted.

Method 2:

Copy the license file ezPayCheck.ezPayCheck.lic to the executable directory, the default directory is \Program Files\Halfpricesoft\ezPayCheck.


Support

Halfpricesoft.com is committed to delivering quality products that exceed our customers' expectations. In order to help you solve your issues quickly, we have endeavored to make our documentation as thorough and clear as possible so that can you resolve most problems using this resource.

If, after consulting the documentation you are still experiencing a problem with ezPayCheck, please email services@halfpricesoft.com with a description of your problem. For licensing questions, please contact services@halfpricesoft.com.


Company Opterations

Company Operations

This section includes the help on how to add company, select company, delete company, modify company settings, and backup company.

Usage:

  • How to add company?
  • How to change company?
  • How to delete company?
  • How to modify company?
  • How to backup company?


Add Company

Add Company

Select from Company --> Add Company menu.

Select Add Company

Follow the wizard to add company

Copyright ©2006, Halfpricesoft.com All Rights Reserved


Change Company

Change Company

Select from Company --> Select Company menu.

Select Add Company

Pick up the company to operate.


Delete Company

Delete Company

Select from Company --> Delete Company menu.

Pick up the company to delete.


Modify Company

Modify Company

You can modify the Comapy Settings, Tax settings, Dedection settings, or Wage Settings by clicking target link.


Backup Company

Backup Company

Select from Company --> Backup Company menu.

The backup company name is automaticaly generated for you.


Employee Opterations

Employee Operations

This section includes the help on how to add employee, view/edit employee, delete employee, and input employee YTD data. The employee data has to beinput before you generate a paycheck for the emplyee.

Usage:

  • How to add employee?
  • How to view/edit employee?
  • How to delete employee?
  • How to input employee YTD data?


Add Employee

Add Employee

Click Employees tab on the left panel --> Add Employee menu.

Select Add Employee

Follow the wizard to add Employee

Copyright ©2006, Halfpricesoft.com All Rights Reserved


View/Edit Employee

View/Edit Employee

Click Employees tab on the left panel --> List Employee menu.

Select List Employee

Select the link to View/Edit employee.

Follow the wizard to add Employee

Copyright ©2006, Halfpricesoft.com All Rights Reserved


Delete Employee

Delete Employee

Click Employees tab on the left panel --> List Employee menu.

Select List Employee

Select the link to delete employee.

Copyright ©2006, Halfpricesoft.com All Rights Reserved


Input Employee Year-To-Date (YTD)

Input Employee YTD data

Click Employees tab on the left panel --> List Employee menu.

Select List Employee

Select the link to add employee YTD data.

Fill out the employee YTD data.

Copyright ©2006, Halfpricesoft.com All Rights Reserved


Pay Check Setups

This section includes the help on how to setup checks.

Usage:

  • How to setup the check printing options?
  • How to add/view/delete paychecks?
  • How to add/view miscellaneous checks?


Check Setup

Select Check Setup

Click "Checks" tab on the left panel --> Check Setup menu.

Input the check setups.

  • "Print on blank check stock" Select this check box if you want to print on blank check stock. Uncheck this box if you want to print on preprinted checks.
  • "Bank Information" The bank informtion will be printed on blank check stock.
    The Routing Number, Bank Account can only be "0,1,2,3,4,5,6,7,8,9,A,B,C,D" which are defined in MICR E13B Font.
  • "Check Information" The current check number can be modified from the "Current Check No." input box.
    You can adjust the check print out position by modifing the "Offset left", "Offset right", "Offset up" and "Offset down" text box.
    You can print out "Check Alignment Page" and align you check on the bottom and right line to check if the Routing Number fits inside the correct box. The Routing Number includes the TRANSIT SYMBOL.
  • "Images" Select your signature image path here.
  • "Company Information" The Company informtion will be printed on blank check stock.


Add/View/Delete/Print paychecks

PayCheck Selections

Click "Checks" tab on the left panel --> Check List.

Add/Delete/View/Print paychecks

  • "Add Check" Click this button to add paycheck. You have to setup employee first before adding any pay checks.
  • "View Check" Click this button to view current selected check or double click any check to view it.
  • "Delete Check" Click this button to delete current selected check.
  • "Print/Preview" Click this button to print/preview current selected check.


Add/View miscellaneous paychecks

Miscellaneous Check Selections

Click "Checks" tab on the left panel --> Misc Checks.

Add/Delete Misc checks

Add Misc Checks

  • "Add Misc Check" Click this button to add misc check.
  • "Delete Misc Check" Click this button to delete current selected check.
  • "Print" Click this button to print current selected check.


FAQs

FAQ:

  • Is ezPayCheck for me?
    Trying CheckMark Payroll is risk-free! We offer a hassle-free, 30-day trail period. It fits for small to mid-size company and offers flexible, easy to use features.
  • Is Check Printing Legal?
    Yes, printing checks from your own printer is perfectly legal. However, they must be printed on special paper.
  • Do I need special printer toner?
    Most banks accept checks printed with regular laser print toner. Optical check readers enable banks to electronically process checks not printed with Magnetic Ink Character Recognition (MICR) toner. If your bank does not use optical check readers, the check will be processed manually instead of electronically. However, to be on the safe side you should use MICR toner. A jet or dot matrix printer CAN'T be used to print checks.
  • What kind of blank check paper is acceptable?
    DO NOT use plain paper! Blank check stock has security features (watermarks, micro printing, etc.) which help prevent fraud. ezPayCheck will work with any blank/preprinted computer check paper with 8-1/2" X 11" size and check on top with size 8-1/2" X 3-1/2".
  • How can I adjust the check printing position?
    You can adjust the check print out position by modifing the "Offset left", "Offset right", "Offset up" and "Offset down" text box.
  • How do I know if the check is properly aligned?
    You can print out "Check Alignment Page" and align you check on the bottom and right line to check if the Routing Number fits inside the correct box. The "Print Check Alignment" button is on "Check Setup Page". The Routing Number includes the leading symbol.
  • How can I print checks on preprinted checks?
    Just check the "Print on blank check stock" check box.
  • What kind file format is acceptable for signature?
    The signature image file can accept .bmp, .jpg, .gif, .tiff and .png.
  • How can I create a signature file?
    The easiest way is using free Windows Paint from Accessories -> Paint. You can set the image size to 150 X 50 in Pixel from Image->Attibutes. And then use the pen to draw your signature.
  • Does the demo version have any limitations?
    The demo version is actually the full version without the functionality of adding, deleteing companies, it stops working after 30 days unless you activate it. You can activate the program at any time.
  • I've reinstalled ezPayCheck and it is telling me that I have no more activations left. How do I activate the program now?
    Simply go to www.halfpricesoft.com and click buy it now button.
  • When I try to install ezPayCheck, it tells me I need to download the Microsoft .Net Framework. How do I do this?
    ezPayCheck runs on the Microsoft .Net Framework, version 1.1. To download and install the framework, you visit Windows Update. The .Net Framework version 1.1 is listed as an available update for your computer. Select to install it. After it is installed you will be able to install and run ezPayCheck.
  • Do I have to start using ezPayCheck at the beginning of the year?
    No, you can start using ezPayCheck Payroll at any time of the year. You just enter Year-to-date (YTD) totals for your employees.
  • Does it print W-2s and W-3s?
    Yes! You can print W-2s, W-3s on plain paper, complete and ready to use. Or, you can print on pre-printed forms.
  • Does it print the MICR encoding on checks?
    Yes, ezPayCheck Payroll does print the MICR encoding on checks. You can print MICR bank routing numbers, account numbers, check numbers and bank information on blank check stock using a laser printer.
  • What are the System Requirements for ezPayCheck Payroll?
    Windows 98, 2000 XP, 2003 and .Net Framework v1.1
  • Does ezPayCheck handle pre-tax and after-tax deductions?
    Yes, ezPayCheck Payroll has very flexible deduction set up capabilities that allow it to handle pre-tax and after-tax deduction.


State and Federal tax withholding calculation

State and Federal tax withholding calculation:

Alabama
Alaska
Arizona
Arkansas
California
Colorado
Delaware
Connecticut
Florida
Georgia
Hawaii
Idaho
Illinois
Iowa
Indiana
Kansas
Kentucky 		Louisiana
Maine
Maryland
Massachusetts
Michigan
Minnesota
Mississippi
Missouri
Montana
Nebraska
Nevada
New Hampshire
New Jersey
New Mexico
New York
North Carolina
North Dakota 		Ohio
Oklahoma
Oregon
Pennsylvania
Rhode Island
South Carolina
South Dakota
Tennessee
Texas
Utah
Vermont
Virginia
Washington
Washington DC
West Virginia
Wisconsin
Wyoming